Skip to main content
`Ctrl`+`K`

# PetscViewerMathematicaSetName

Override the default name for objects communicated to Mathematica via `PETSCVIEWERMATHEMATICA`

## Synopsis

    PetscErrorCode PetscViewerMathematicaSetName(PetscViewer viewer, const char name[])

## Input Parameters

- viewer - The Mathematica viewer

- name - The name for new objects created in Mathematica

## See Also

`PETSCVIEWERMATHEMATICA`, `PetscViewerMathematicaClearName()`

## Level

intermediate

## Location

src/sys/classes/viewer/impls/mathematica/mathematica.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages